Package com.smartgwt.client.ai

# Class AIFieldRequest

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.AIFieldRequest

All Implemented Interfaces:
  `HasHandlers`

public class AIFieldRequest extends DataClass
Settings that configure requests to AI to generate the values for a field.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AIFieldRequest()`
  `AIFieldRequest(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getCategories()`
  If the `valueClass` is CATEGORICAL or ORDINAL, the list of available categories.
  `Integer`
  `getMaxValue()`
  If the `valueClass` is INTERVAL or RATIO, the maximum value that can be generated.
  `Integer`
  `getMinValue()`
  If the `valueClass` is INTERVAL or RATIO, the minimum value that can be generated.
  `static AIFieldRequest`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String[]`
  `getRelevantFieldNames()`
  The names of fields that are relevant to each SummarizeRecordsRequest.
  `SortDirection`
  `getSortDirection()`
  The suggested initial sort direction for the field.
  `ValueClass`
  `getValueClass()`
  The class of value that AI will be asked to generate for the field.
  `AIFieldRequest`
  `setCategories(String... categories)`
  If the `valueClass` is CATEGORICAL or ORDINAL, the list of available categories.
  `AIFieldRequest`
  `setMaxValue(Integer maxValue)`
  If the `valueClass` is INTERVAL or RATIO, the maximum value that can be generated.
  `AIFieldRequest`
  `setMinValue(Integer minValue)`
  If the `valueClass` is INTERVAL or RATIO, the minimum value that can be generated.
  `AIFieldRequest`
  `setRelevantFieldNames(String... relevantFieldNames)`
  The names of fields that are relevant to each SummarizeRecordsRequest.
  `AIFieldRequest`
  `setSortDirection(SortDirection sortDirection)`
  The suggested initial sort direction for the field.
  `AIFieldRequest`
  `setValueClass(ValueClass valueClass)`
  The class of value that AI will be asked to generate for the field.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AIFieldRequest

    public AIFieldRequest()

  - ### AIFieldRequest

    public AIFieldRequest(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static AIFieldRequest getOrCreateRef(JavaScriptObject jsObj)

  - ### setCategories

    public AIFieldRequest setCategories(String... categories)
    If the `valueClass` is CATEGORICAL or ORDINAL, the list of available categories.
    Parameters:
      `categories` - New categories value. Default value is null
    Returns:
      `AIFieldRequest` instance, for chaining setter calls

  - ### getCategories

    public String[] getCategories()
    If the `valueClass` is CATEGORICAL or ORDINAL, the list of available categories.
    Returns:
      Current categories value. Default value is null

  - ### setMaxValue

    public AIFieldRequest setMaxValue(Integer maxValue)
    If the `valueClass` is INTERVAL or RATIO, the maximum value that can be generated. If `null`, then there is no maximum.
    Parameters:
      `maxValue` - New maxValue value. Default value is null
    Returns:
      `AIFieldRequest` instance, for chaining setter calls

  - ### getMaxValue

    public Integer getMaxValue()
    If the `valueClass` is INTERVAL or RATIO, the maximum value that can be generated. If `null`, then there is no maximum.
    Returns:
      Current maxValue value. Default value is null

  - ### setMinValue

    public AIFieldRequest setMinValue(Integer minValue)
    If the `valueClass` is INTERVAL or RATIO, the minimum value that can be generated. If `null`, then there is no minimum.
    Parameters:
      `minValue` - New minValue value. Default value is null
    Returns:
      `AIFieldRequest` instance, for chaining setter calls

  - ### getMinValue

    public Integer getMinValue()
    If the `valueClass` is INTERVAL or RATIO, the minimum value that can be generated. If `null`, then there is no minimum.
    Returns:
      Current minValue value. Default value is null

  - ### setRelevantFieldNames

    public AIFieldRequest setRelevantFieldNames(String... relevantFieldNames)
    The names of fields that are relevant to each SummarizeRecordsRequest.
    Parameters:
      `relevantFieldNames` - New relevantFieldNames value. Default value is null
    Returns:
      `AIFieldRequest` instance, for chaining setter calls
    See Also:
      - `FieldName`

  - ### getRelevantFieldNames

    public String[] getRelevantFieldNames()
    The names of fields that are relevant to each SummarizeRecordsRequest.
    Returns:
      Current relevantFieldNames value. Default value is null
    See Also:
      - `FieldName`

  - ### setSortDirection

    public AIFieldRequest setSortDirection(SortDirection sortDirection)
    The suggested initial sort direction for the field.
    Parameters:
      `sortDirection` - New sortDirection value. Default value is null
    Returns:
      `AIFieldRequest` instance, for chaining setter calls

  - ### getSortDirection

    public SortDirection getSortDirection()
    The suggested initial sort direction for the field.
    Returns:
      Current sortDirection value. Default value is null

  - ### setValueClass

    public AIFieldRequest setValueClass(ValueClass valueClass)
    The class of value that AI will be asked to generate for the field.
    Parameters:
      `valueClass` - New valueClass value. Default value is "general"
    Returns:
      `AIFieldRequest` instance, for chaining setter calls

  - ### getValueClass

    public ValueClass getValueClass()
    The class of value that AI will be asked to generate for the field.
    Returns:
      Current valueClass value. Default value is "general"